﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LegendApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
     
    public class RandomDataList : List<DataPoint>
    {
        //protected Random Random = new Random();
        public RandomDataList()
        {
            var Random = new Random();
            for (var i = 0; i < 10; i++)
            {
                var val = Random.Next(0, 100);
                Add(new DataPoint {X = i, Y = val });
            }
        }
    }
    public class DataPoint
    {
        public double X { get; set; }
        public double Y { get; set; }
        public double Value { get; set; }

        public double Group { get; set; }

        /// <summary> Gets or sets Date </summary>
        public DateTime Date { get; set; }

        public override string ToString()
        {
            return X + ", " + Y;
        }
    }
}
